<button mat-button style="height: 0; position: absolute;"> <!-- 'absorbs' the auto-focus behavior --> </button>
<mat-toolbar>
	<button mat-icon-button [matMenuTriggerFor]="statusMenu" aria-label="Status" matTooltip="{{ 'simple.status' | translate }}">
		<mat-icon matBadgePosition="above after" matBadgeOverlap="true">account_circle</mat-icon>
		<span
			class="status-indicator"
			[ngClass]="{
				online: statusService.status.get(self) === 'ONLINE',
				afk: statusService.status.get(self) === 'AWAY_FROM_KEYBOARD',
				dnd: statusService.status.get(self) === 'DO_NOT_DISTURB'
			}"
		></span>
	</button>
	<button mat-icon-button routerLink="/settings" aria-label="Settings" matTooltip="{{ 'simple.settings' | translate }}">
		<mat-icon>settings</mat-icon>
	</button>
	<button mat-icon-button [matMenuTriggerFor]="addGroup" aria-label="Add group" matTooltip="{{ 'simple.create' | translate }}">
		<mat-icon>add_comment</mat-icon>
	</button>
	<button mat-icon-button aria-label="Logout" (click)="userService.logout()" matTooltip="{{ 'simple.logout' | translate }}">
		<mat-icon>exit_to_app</mat-icon>
	</button>
</mat-toolbar>

<mat-menu #statusMenu xPosition="before">
	<button
		mat-menu-item
		*ngFor="let status of states"
		(click)="statusService.setStatus(status)"
		[class.active]="statusService.status.get(this.self) === status"
	>
		{{ 'status.' + status | translate }}
	</button>
</mat-menu>

<mat-menu #addGroup xPosition="before">
	<button mat-menu-item (click)="groupService.showOpenDirectMessageDialog()">
		<mat-icon>person</mat-icon>
		{{ 'simple.directMessage' | translate }}
	</button>
	<button mat-menu-item (click)="groupService.showCreateGroupDialog()">
		<mat-icon>group</mat-icon>
		{{ 'simple.group' | translate }}
	</button>
</mat-menu>
